package com.brilliance.isc.mda.dao;

import com.brilliance.isc.vo.manager.PtyManageVo;
import com.brilliance.isc.vo.manager.StxManageVo;
import org.apache.ibatis.annotations.Mapper;
import com.brilliance.isc.bo.Stx;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface StxMapper {


    Stx queryById(@Param("inr") String inr);

    /**
     * 通过ID查询单条数据
     *
     * @param extkey
     * @return 实例对象
     */
    Stx queryByExtkey(@Param("extkey") String extkey);


    /**
     * 查询指定行数据
     *
     * @param stx 查询条件
     * @return 对象列表
     */
    List<Stx> queryAllByLimit(Stx stx);

    List<StxManageVo> queryAllByLimit1(StxManageVo stxManageVo);

//    /**
//     * 统计总行数
//     *
//     * @param stx 查询条件
//     * @return 总行数
//     */
//    long count(Stx stx);

    /**
     * 新增数据
     *
     * @param stx 实例对象
     * @return 影响行数
     */
    int insert( Stx stx);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Stx> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Stx> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<Stx> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<Stx> entities);

    /**
     * 修改数据
     *
     * @param stx 实例对象
     * @return 影响行数
     */
    int update(Stx stx);

    /**
     * 通过主键删除数据
     *
     * @param  inr
     * @return 影响行数
     */
    int deleteById(@Param("inr") String inr );

    /**
     * 通过主键inr查询ver版本号信息
     *
     * @param inr
     * @return 影响行数
     */
    String getVersionByInr(@Param("inr")String inr);

    Stx selectByPrimaryKey(Stx record);

    List<Stx> selectList(Stx stx);

    String getInrByExtkey(String extkey);

    Stx selectInDirectSwiAdd();

    List<PtyManageVo> listAccPty(StxManageVo stxManageVo);
}

